pub struct MyStruct {
    f: i32,
}

impl MyStruct {
    pub fn new(f: i32) -> Self {
        Self { f }
    }

    pub fn get(self: &Self) -> i32 {
        self.f
    }

    pub fn set(self: &mut Self, v: i32) {
        self.f = v;
    }
}
